NX Open C++ Reference Guide
|
Represents a @link Features::AdmMoveFace Features::AdmMoveFace@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateAdmMoveFaceBuilder Features::FeatureCollection::CreateAdmMoveFaceBuilder @endlink <br>
Default values. More...
Public Types | |
enum | MoveOptionType { MoveOptionTypeMoveAndAdapt, MoveOptionTypeCutAndPaste } |
Represents the move option. More... | |
Public Member Functions | |
NXOpen::GeometricUtilities::FaceChangeOverflowBehavior * | FaceChangeOverflowBehavior () |
Returns the face change overflow behavior. | |
NXOpen::Features::FaceRecognitionBuilder * | FaceToMove () |
Returns the face to move. | |
bool | HealOption () |
Returns the heal option. | |
NXOpen::GeometricUtilities::ModlMotion * | Motion () |
Returns the motion. | |
NXOpen::Features::AdmMoveFaceBuilder::MoveOptionType | MoveOption () |
Returns the move option. | |
bool | PasteOption () |
Returns the paste option. | |
void | SetHealOption (bool healOption) |
Sets the heal option. | |
void | SetMoveOption (NXOpen::Features::AdmMoveFaceBuilder::MoveOptionType moveOption) |
Sets the move option. | |
void | SetPasteOption (bool pasteOption) |
Sets the paste option. | |
NXOpen::GeometricUtilities::StepOptionBehavior * | StepOption () |
Returns the step option behavior. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::AdmMoveFace Features::AdmMoveFace@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateAdmMoveFaceBuilder Features::FeatureCollection::CreateAdmMoveFaceBuilder @endlink <br>
Default values.
Property | Value |
---|---|
FaceToMove.CoaxialEnabled |
0 |
FaceToMove.CoplanarAxesEnabled |
0 |
FaceToMove.CoplanarEnabled |
0 |
FaceToMove.EqualDiameterEnabled |
0 |
FaceToMove.OffsetEnabled |
0 |
FaceToMove.ParallelEnabled |
0 |
FaceToMove.PerpendicularEnabled |
0 |
FaceToMove.SymmetricEnabled |
0 |
FaceToMove.TangentEnabled |
0 |
FaceToMove.ThicknessChainEnabled |
0 |
FaceToMove.UseFaceBrowse |
1 |
HealOption |
True |
Motion.DeltaEnum |
ReferenceWcsWorkPart |
Motion.DeltaXc.Value |
0.0 |
Motion.DeltaYc.Value |
0.0 |
Motion.DeltaZc.Value |
0.0 |
Motion.Option |
DistanceAngle |
StepOption.StepOption |
None |
Created in NX6.0.0.
NXOpen::GeometricUtilities::FaceChangeOverflowBehavior* NXOpen::Features::AdmMoveFaceBuilder::FaceChangeOverflowBehavior | ( | ) |
Returns the face change overflow behavior.
Please refer GeometricUtilities::FaceChangeOverflowBehavior for details.
Created in NX6.0.2.
License requirements : None
NXOpen::Features::FaceRecognitionBuilder* NXOpen::Features::AdmMoveFaceBuilder::FaceToMove | ( | ) |
Returns the face to move.
Please refer Features::FaceRecognitionBuilder for details.
Created in NX6.0.0.
License requirements : None
bool NXOpen::Features::AdmMoveFaceBuilder::HealOption | ( | ) |
NXOpen::GeometricUtilities::ModlMotion* NXOpen::Features::AdmMoveFaceBuilder::Motion | ( | ) |
Returns the motion.
The motion block provides a suite of linear and angular transform methods. Please refer GeometricUtilities::ModlMotion for details.
Created in NX6.0.0.
License requirements : None
NXOpen::Features::AdmMoveFaceBuilder::MoveOptionType NXOpen::Features::AdmMoveFaceBuilder::MoveOption | ( | ) |
Returns the move option.
Created in NX8.0.1.
License requirements : None
bool NXOpen::Features::AdmMoveFaceBuilder::PasteOption | ( | ) |
Returns the paste option.
If true, the copied or cut faces will be pasted on the target body, else those faces will not be pasted.
Created in NX8.0.1.
License requirements : None
void NXOpen::Features::AdmMoveFaceBuilder::SetHealOption | ( | bool | healOption | ) |
Sets the heal option.
If true, Cut Face will be used to move the faces, and the wound will be healed automatically, else Copy Face will be used to move the faces and the original faces will be deleted without heal.
Created in NX8.0.1.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
healOption | healoption |
void NXOpen::Features::AdmMoveFaceBuilder::SetMoveOption | ( | NXOpen::Features::AdmMoveFaceBuilder::MoveOptionType | moveOption | ) |
Sets the move option.
Created in NX8.0.1.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
moveOption | moveoption |
void NXOpen::Features::AdmMoveFaceBuilder::SetPasteOption | ( | bool | pasteOption | ) |
Sets the paste option.
If true, the copied or cut faces will be pasted on the target body, else those faces will not be pasted.
Created in NX8.0.1.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
pasteOption | pasteoption |
NXOpen::GeometricUtilities::StepOptionBehavior* NXOpen::Features::AdmMoveFaceBuilder::StepOption | ( | ) |
Returns the step option behavior.
Please refer GeometricUtilities::StepOptionBehavior for details.
Created in NX8.0.1.
License requirements : None